
	<style>
    
      #map {
        height: {$param.settings.height};
      }
    </style>
    
    
    <div id="map"></div>
     
	
<script src="https://maps.googleapis.com/maps/api/js?key={$param.settings.api_key}"></script>
    <script>
// In the following example, markers appear when the user clicks on the map.
// Each marker is labeled with a single alphabetical character.
var labels = '{$settings.site_title}';
var labelIndex = 0;

function initialize() {
  var adres = { lat: {$param.settings.latitude}, lng: {$param.settings.longitude} };
  var map = new google.maps.Map(document.getElementById('map'), {
    zoom: {$param.settings.zoom_level},
    center : adres
  });

  // This event listener calls addMarker() when the map is clicked.
  google.maps.event.addListener(map, 'click', function(event) {
    //addMarker(event.latLng, map);
  });

  // Add a marker at the center of the map.
  addMarker(adres, map);
}

// Adds a marker to the map.
function addMarker(location, map) {
  // Add the marker at the clicked location, and add the next-available label
  // from the array of alphabetical characters.
  var marker = new google.maps.Marker({
    position: location,
    label: labels[labelIndex++ % labels.length],
    map: map
  });
}

google.maps.event.addDomListener(window, 'load', initialize);

    </script>